org.codehaus.groovy.transform.stc

## Class SignatureCodecVersion1

- java.lang.Object
- - org.codehaus.groovy.transform.stc.SignatureCodecVersion1

All Implemented Interfaces:
  SignatureCodec

    public class SignatureCodecVersion1
    extends java.lang.Object
    implements SignatureCodec

First implementation of an inferred type signature codec.

Author:
  Cedric Champeau

### Constructor Summary

Constructors
Constructor and Description
`SignatureCodecVersion1(java.lang.ClassLoader classLoader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClassNode` `decode(java.lang.String signature)`
`java.lang.String` `encode(ClassNode node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignatureCodecVersion1

    public SignatureCodecVersion1(java.lang.ClassLoader classLoader)

### Method Detail

#### encode

    public java.lang.String encode(ClassNode node)

Specified by:
  `encode` in interface `SignatureCodec`

#### decode

    public ClassNode decode(java.lang.String signature)

Specified by:
  `decode` in interface `SignatureCodec`